Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Functions | Variables
pageres.cpp File Reference
`#include "mfcpch.h"`
`#include <stdlib.h>`
`#include "pageres.h"`
`#include "blobs.h"`

Go to the source code of this file.

## Functions

| CLISTIZE (BLOCK_RES) ELISTIZE(ROW_RES) ELISTIZE(WERD_RES) PAGE_RES

## Variables

const char | kBlameCorrect [] = "corr"
const char | kBlameClassifier [] = "cl"
const char | kBlameChopper [] = "chop"
const char | kBlameClassLMTradeoff [] = "cl/LM"
const char | kBlamePageLayout [] = "pglt"
const char | kBlameSegsearchHeur [] = "ss_heur"
const char | kBlameSegsearchPP [] = "ss_pp"
const char | kBlameClassOldLMTradeoff [] = "cl/old_LM"
const char | kBlameAdaption [] = "adapt"
const char | kBlameNoTruthSplit [] = "no_tr_spl"
const char | kBlameNoTruth [] = "no_tr"
const char | kBlameUnknown [] = "unkn"
const char *const | kIncorrectResultReasonNames []

## Function Documentation

CLISTIZE | ( | BLOCK_RES |  | ) |

Definition at line 85 of file pageres.cpp.

{
Init();
BLOCK_IT block_it(the_block_list);
BLOCK_RES_IT block_res_it(&block_res_list);
for (block_it.mark_cycle_pt();
!block_it.cycled_list(); block_it.forward()) {
block_res_it.add_to_end(new BLOCK_RES(block_it.data()));
}
prev_word_best_choice = prev_word_best_choice_ptr;
}

## Variable Documentation

const char kBlameAdaption[] = "adapt"

Definition at line 35 of file pageres.cpp.

const char kBlameChopper[] = "chop"

Definition at line 29 of file pageres.cpp.

const char kBlameClassifier[] = "cl"

Definition at line 28 of file pageres.cpp.

const char kBlameClassLMTradeoff[] = "cl/LM"

Definition at line 30 of file pageres.cpp.

const char kBlameClassOldLMTradeoff[] = "cl/old_LM"

Definition at line 34 of file pageres.cpp.

const char kBlameCorrect[] = "corr"

Definition at line 27 of file pageres.cpp.

const char kBlameNoTruth[] = "no_tr"

Definition at line 37 of file pageres.cpp.

const char kBlameNoTruthSplit[] = "no_tr_spl"

Definition at line 36 of file pageres.cpp.

const char kBlamePageLayout[] = "pglt"

Definition at line 31 of file pageres.cpp.

const char kBlameSegsearchHeur[] = "ss_heur"

Definition at line 32 of file pageres.cpp.

const char kBlameSegsearchPP[] = "ss_pp"

Definition at line 33 of file pageres.cpp.

const char kBlameUnknown[] = "unkn"

Definition at line 38 of file pageres.cpp.

const char* const kIncorrectResultReasonNames[]

Initial value:
{
kBlameCorrect,
kBlameClassifier,
kBlameChopper,
kBlameClassLMTradeoff,
kBlamePageLayout,
kBlameSegsearchHeur,
kBlameSegsearchPP,
kBlameClassOldLMTradeoff,
kBlameAdaption,
kBlameNoTruthSplit,
kBlameNoTruth,
kBlameUnknown
}

Definition at line 40 of file pageres.cpp.